package com.pqs9000.pojo.responsibility;

import java.io.Serializable;

/**
 * @author hongawen
 * @Date: 2019/4/3 13:35
 */
public class CustomerResponsibility implements Serializable,Comparable<CustomerResponsibility> {

    private String customerName;

    private float responsibilityData;

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public float getResponsibilityData() {
        return responsibilityData;
    }

    public void setResponsibilityData(float responsibilityData) {
        this.responsibilityData = responsibilityData;
    }

    @Override
    public String toString() {
        return "CustomerResponsibility{" +
                "customerName='" + customerName + '\'' +
                ", responsibilityData=" + responsibilityData +
                '}';
    }

    @Override
    public int compareTo(CustomerResponsibility o) {
        if(this.responsibilityData>o.getResponsibilityData()){
            return -1;
        }else if(this.responsibilityData==o.getResponsibilityData()){

        }
        return 1;
    }
}
